Modify

#1226 closed defect (fixed)

Crash at identification and no debugging available

Reported by: anonymous Owned by:
Priority: normal Milestone: 3.4.1
Component: BitlBee Version: 3.4
Keywords: Cc:
IRC client+version: irssi Operating System: NetBSD
OS version/distro: 6.1

Description


Attachments (0)

Change History (3)

comment:1 Changed at 2015-08-20T09:44:11Z by triaxx@…

Bitlbee crashes when I try to identify a user from irssi. It has been compiled using gcc 4.9.2 to avoid suspicion of problem with old gcc. I cannot debug since it seems to have a problem of memory access in my binary as shown in the GDB output:

GNU gdb (GDB) 7.9
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64--netbsd".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /usr/pkg/sbin/bitlbee...done.
(gdb) break cmd_identify
Breakpoint 1 at 0x240f0: file root_commands.c, line 108.
(gdb) run
Starting program: /usr/pkg/sbin/bitlbee -Dnv
Error in re-setting breakpoint 1: Cannot access memory at address 0x240f0
Error in re-setting breakpoint 1: Cannot access memory at address 0x240f0
Warning: Unable to create UNIX socket: Protocol not supported

Program received signal SIGSEGV, Segmentation fault.
0x00007f7ff50c8f3b in ?? ()
(gdb) bt
#0  0x00007f7ff50c8f3b in ?? ()
#1  0x000000000021d12d in ?? ()
#2  0x00007f7ff7702190 in ?? ()
#3  0x0000000000000000 in ?? ()

comment:2 Changed at 2015-08-21T00:10:41Z by dx

Priority: criticalnormal

So... rebuild with debug symbols, ./configure --debug=1

Also, if you have any plugins, try again removing all of them.

comment:3 Changed at 2015-08-29T04:32:32Z by dx

Resolution: fixed
Status: newclosed

This is fixed in this commit

For context: the backtrace above did have debug symbols, but gcc generated them incorrectly for some reason, while clang worked fine.

Program received signal SIGSEGV, Segmentation fault.
0x00007f7ff54c8f3b in strncpy () from /usr/lib/libc.so.12
(gdb) bt
#0  0x00007f7ff54c8f3b in strncpy () from /usr/lib/libc.so.12
#1  0x000000000041f316 in irc_channel_name_gen (irc=0x7f7ff7704090, hint=0x7f7ff6f10480 "twitter_xxx") at irc_channel.c:600
#2  0x000000000041f41b in irc_channel_name_hint (ic=0x7f7ff6f02270, name=0x7f7ff6f10480 "twitter_xxx") at irc_channel.c:628
#3  0x000000000041c628 in bee_irc_chat_name_hint (bee=0x7f7ff770a140, c=0x7f7ff770a080, name=0x7f7ff6f10480 "twitter_xxx")
    at irc_im.c:698
#4  0x0000000000440f05 in imcb_chat_name_hint (c=0x7f7ff770a080, name=0x7f7ff6f10480 "twitter_xxx") at bee_chat.c:61
#5  0x000000000048f36c in twitter_groupchat_init (ic=0x7f7ff774d390) at twitter.c:319
#6  0x000000000048f63d in twitter_main_loop_start (ic=0x7f7ff774d390) at twitter.c:279
#7  0x000000000048f4ce in twitter_login_finish (ic=0x7f7ff774d390) at twitter.c:348
#8  0x0000000000496ce5 in twitter_get_users_lookup (ic=0x7f7ff774d390) at twitter_lib.c:365
#9  0x0000000000496e2e in twitter_http_get_users_lookup (req=0x7f7ff774a270) at twitter_lib.c:409
#10 0x00000000004326f2 in http_incoming_data (data=0x7f7ff774a270, source=19, cond=B_EV_IO_READ) at http_client.c:301
#11 0x0000000000431301 in gaim_io_invoke (source=0x7f7ff7701880, condition=G_IO_IN, data=0x7f7ff77073c0) at events_glib.c:86
#12 0x00007f7ff704371d in g_main_context_dispatch () from /usr/pkg/lib/libglib-2.0.so.0
#13 0x00007f7ff70439fe in g_main_context_iterate.clone () from /usr/pkg/lib/libglib-2.0.so.0
#14 0x00007f7ff7043cad in g_main_loop_run () from /usr/pkg/lib/libglib-2.0.so.0
#15 0x0000000000431130 in b_main_run () at events_glib.c:59
#16 0x000000000042ea56 in main (argc=2, argv=0x7f7fffffda60) at unix.c:170
(gdb)

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.